Get Run
GET
/
runs
/
{run_id}
Get Run
const options = {method: 'GET', headers: {'X-Browser-Use-API-Key': '<api-key>'}};
fetch('https://api.browser-use.com/api/v4/runs/{run_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.browser-use.com/api/v4/runs/{run_id} \
--header 'X-Browser-Use-API-Key: <api-key>'import requests
url = "https://api.browser-use.com/api/v4/runs/{run_id}"
headers = {"X-Browser-Use-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"task": "<string>",
"title": "<string>",
"model": "<string>",
"contextLimit": 123,
"status": "queued",
"result": "<string>",
"error": "<string>",
"sessionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"totalInputTokens": 123,
"totalOutputTokens": 123,
"totalCostUsd": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"modelParams": {},
"output": null,
"outputSchema": {},
"attachedFileIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"judgement": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Path Parameters
Response
Successful Response
Available options:
queued, dispatching, running, completed, failed, cancelled Was this page helpful?
⌘I
Get Run
const options = {method: 'GET', headers: {'X-Browser-Use-API-Key': '<api-key>'}};
fetch('https://api.browser-use.com/api/v4/runs/{run_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.browser-use.com/api/v4/runs/{run_id} \
--header 'X-Browser-Use-API-Key: <api-key>'import requests
url = "https://api.browser-use.com/api/v4/runs/{run_id}"
headers = {"X-Browser-Use-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"task": "<string>",
"title": "<string>",
"model": "<string>",
"contextLimit": 123,
"status": "queued",
"result": "<string>",
"error": "<string>",
"sessionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"totalInputTokens": 123,
"totalOutputTokens": 123,
"totalCostUsd": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"modelParams": {},
"output": null,
"outputSchema": {},
"attachedFileIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"judgement": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}